# Example apps 💻

The following example applications demonstrate Elasticsearch for a variety of use cases, such as semantic search and retrieval augmented generation, using different programming languages and frameworks.

Use these apps as a starting point for your own projects.

The applications are organized into the following folders:

- [`Chatbot RAG App`](chatbot-rag-app/README.md). Build a chatbot app capable of answering questions on your own private data.
- [`openai-embeddings`](openai-embeddings/README.md). Use OpenAI embeddings at index time and in Elastic kNN queries.
- [`relevance-workbench`](relevance-workbench/README.md). A Python application that allows you to compare results ranking between the **Elastic Learned Sparse Encoder** model and BM25.
- [`search-tutorial`](search-tutorial). The application that is built in the Search Labs [Search Tutorial](https://www.elastic.co/search-labs/tutorials/search-tutorial/welcome).
> ℹ️ **Note**:
> _Elastic Labs projects are for illustrative and experimental purposes only. Elastic Labs projects are not part of any product or services offering provided or supported under a commercial license or subscription. These projects are made available as-is under the terms of the license associated with the projects._ > _The release and timing of any features or functionality described in these projects remain at Elastic's sole discretion. Any features or functionality not currently available may not be delivered on time or at all._
