## Supporting Blog Content

This directory contains supporting content for the blog posts on [Elastic.co Blog](https://www.elastic.co/blog) or on [Search Labs](https://www.elastic.co/search-labs).

### Apps

- [ElasticDocs GPT](./ElasticDocs_GPT/README.md). Combine Elasticsearch with the question answering power of ChatGPT. Use the ChatGPT API with your own UI. See how this was constructed in the associated [blog](https://www.elastic.co/search-labs/chatgpt-elasticsearch-openai-meets-private-data). 
- [ElasticGPT plugin](./ElasticGPT_Plugin/README.md). Implement a ChatGPT plugin and extend ChatGPT usage to any content indexed into Elasticsearch. This enables you to use the ChatGPT UI. See the associated [blog](https://www.elastic.co/search-labs/chatgpt-elasticsearch-plugin-elastic-data) for more details. 
- [Homecraft Vertex](./homecraft_vertex/README.md). A Python application designed for Retail industry simulating an e-commerce search bar. It integrates with Google's VertexAI and PALM2 model, BigQuery Datasets and Elastic Vector Search to answer questions around previous orders, suggested products available and company information.


### Notebooks
- [Multilingual search with the E5 embedding model](https://github.com/elastic/elasticsearch-labs/blob/main/supporting-blog-content/multilingual-e5/multilingual-e5.ipynb). See the associated [blog](https://www.elastic.co/search-labs/multilingual-vector-search-e5-embedding-model) for more details.  
