# Hybrid Search Product Store (Front-end and API)

This project consists of two main components: a front-end application and an API. Together, they form a product search platform where users can browse, search, and filter products using a hybrid search mechanism that combines lexical and semantic techniques.

## Project Structure

- **Front-end**: A React application responsible for displaying products, handling user interactions, and performing searches via the API.
- **API**: A backend service that provides product data and search capabilities, including faceted filtering and hybrid search logic.

### Front-end

- Built with **React**.
- Handles product display, search, and filtering.
- Communicates with the API to retrieve and display products.
  
### API

- Developed with Python
- Provides endpoints for fetching product data and handling search/filter requests.
- Implements hybrid search combining lexical and semantic search techniques.

## Getting Started

### Front-end Setup

1. Read: [README.md](app-product-store%2FREADME.md)

### API Setup

1. Read: [README.md](product-store-search%2FREADME.md)
