# APP Product Store

This project is a front-end application developed in React,
responsible for displaying a list of products and providing search and filtering 
functionality in the catalog. It uses a hybrid search that combines lexical and 
semantic search techniques, offering more accurate and relevant results.

## Features

- **Product Display**: Shows products with image, name, description, and price.
- **Search Bar**: Allows users to search for products in the catalog.
- **Faceted Filtering**: Users can filter products by brand and category.
- **Hybrid Search**: Combines lexical and semantic search to improve the relevance of results.
- **Behavioral Analytics**: Analyzes user interactions with the search results, providing insights through Behavioral Analytics to improve the search experience.

## Technologies Used

- **React**: JavaScript library for building user interfaces.

## Installation

1. Clone this repository:
   ```bash
   git clone https://github.com/your-username/repository-name.git

2. Navigate to the project directory:
   ```bash
   cd repository-name
   
3. Install dependencies:
   ```bash
   npm install
   
4. Run the project locally:
   ```bash
   npm start
    
5. Access it in the browser:
   ```bash
   http://localhost:3000

![home-product-store.png](public%2Fhome-product-store.png)